Skip to main content
GET
/
v1
/
providers
/
{provider}
/
catalog
cURL
curl --request GET \
  --url https://api.surnex.io/v1/providers/{provider}/catalog \
  --header 'Authorization: Bearer <token>'
{
  "provider": "dataforseo",
  "catalog": {
    "services": [
      {
        "service": "serp",
        "category": "serp",
        "discovery_source": "mixed",
        "title": "SERP API",
        "description": "Search engine results across web and vertical engines",
        "examples": [
          "google",
          "bing"
        ],
        "operations": [
          {
            "service": "serp",
            "operation_path": "/serp/google/organic/live",
            "path_template": "/serp/{se}/{type}/live",
            "method": "POST",
            "mode": "live",
            "description": "Live organic results",
            "discovery_source": "static"
          }
        ]
      }
    ],
    "total_services": 1,
    "groups": {
      "mixed": [
        {
          "service": "serp",
          "category": "serp",
          "discovery_source": "mixed",
          "title": "SERP API",
          "description": "Search engine results across web and vertical engines",
          "examples": [
            "google",
            "bing"
          ],
          "operations": [
            {
              "service": "serp",
              "operation_path": "/serp/google/organic/live",
              "path_template": "/serp/{se}/{type}/live",
              "method": "POST",
              "mode": "live",
              "description": "Live organic results",
              "discovery_source": "static"
            }
          ]
        }
      ]
    },
    "supports_custom_paths": true,
    "supports_any_dataforseo_path": true,
    "generated_at": "2026-02-24T00:00:00Z",
    "discovery_context": {
      "requested_discovery": false,
      "force_refresh_requested": false,
      "source": "none",
      "discovered_at": null,
      "cache_key": "dataforseo:catalog:discovered:v1",
      "cache_ttl_seconds": 900,
      "cache_available": true,
      "cache_hit": false,
      "provider_calls": 0
    }
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_...

Path Parameters

provider
string
required
Minimum string length: 1

Query Parameters

service
string
Minimum string length: 1
discover
discovery_source
enum<string>
Available options:
static,
discovered,
mixed
Required string length: 1 - 128
category
string

Service category used for grouping and filtering

Minimum string length: 1
refresh_discovery
group_by
enum<string>

Optional grouping key for response sections. When set, services are additionally bucketed into groups without removing services. Group keys are emitted in this order when present: static, discovered, mixed.

Available options:
discovery_source

Response

Provider catalog for a specific Surnex provider.

SurnexProviderCatalogResponse

provider
string
required
Minimum string length: 1
catalog
object
required